List voices
GET
/v1/adapters/tts/voice
const url = 'https://example.com/v1/adapters/tts/voice?engine=gc';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/adapters/tts/voice?engine=gc' \ --header 'Authorization: Bearer <token>'Lists voices for an engine, optionally filtered by language and gender.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”engine
string
lang
string
gender
string
Responses
Section titled “Responses”Voices.
Media typeapplication/json
Array<object>
object
name
required
string
human_name
required
string
languages_codes
required
Array<string>
gender
required
string
engine
required
string
status
required
string
models
Array<string>
Example
[ { "status": "active" }]No voices matched the filter.
Error response.
Media typeapplication/json
object
code
required
string
reason
required
string
message
required
string
Examplegenerated
{ "code": "example", "reason": "example", "message": "example"}Unauthorized
Forbidden
Error response.
Media typeapplication/json
object
code
required
string
reason
required
string
message
required
string
Examplegenerated
{ "code": "example", "reason": "example", "message": "example"}